NX Open C++ Reference Guide
|
This class contains the options for automatically closing the profile to surrounding model geometry. More...
Public Types | |
enum | CloseProfileRuleType { CloseProfileRuleTypeFci, CloseProfileRuleTypeLci, CloseProfileRuleTypeCci } |
the type of profile closures to be performed More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::CloseProfileRuleType | CloseProfileRule () |
Returns the option defines how to extend the open profile to form a proper intersection with the target body. | |
bool | OpenProfileSmartVolumeOption () |
Returns the option for enabling open profile smart volume. | |
void | SetCloseProfileRule (NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::CloseProfileRuleType closeProfileRule) |
Sets the option defines how to extend the open profile to form a proper intersection with the target body. | |
void | SetOpenProfileSmartVolumeOption (bool openProfileSmartVolumeOption) |
Sets the option for enabling open profile smart volume. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class contains the options for automatically closing the profile to surrounding model geometry.
It is instantiated in section based sweep operators like extrude and revolve.
Created in NX8.5.0.
the type of profile closures to be performed
NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::CloseProfileRuleType NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::CloseProfileRule | ( | ) |
Returns the option defines how to extend the open profile to form a proper intersection with the target body.
Created in NX8.5.0.
License requirements : None
bool NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::OpenProfileSmartVolumeOption | ( | ) |
Returns the option for enabling open profile smart volume.
When this option is enabled, extends the tool volume along open end points of the profile to find closure with the target body.
Created in NX8.5.0.
License requirements : None
void NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::SetCloseProfileRule | ( | NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::CloseProfileRuleType | closeProfileRule | ) |
Sets the option defines how to extend the open profile to form a proper intersection with the target body.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
closeProfileRule | the close profile rule. |
void NXOpen::GeometricUtilities::SmartVolumeProfileBuilder::SetOpenProfileSmartVolumeOption | ( | bool | openProfileSmartVolumeOption | ) |
Sets the option for enabling open profile smart volume.
When this option is enabled, extends the tool volume along open end points of the profile to find closure with the target body.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
openProfileSmartVolumeOption | If true, enable open profile smart volume. |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.